#!/bin/bash

# The check_csadmin_user() function checks the user login with csadmin or another user.
# After fresh installation, the install-fortisoar.sh script makes the entry of check_csadmin_user.sh file \
# and check_csadmin_user() function entry in the /etc/bashrc file. Same entry removed the config-vm.sh script \
# after successful configuration of configuration wizard.
#
check_csadmin_user(){

    local s_user="csadmin"
    local user_id=$(getent passwd $s_user | cut -d':' -f3)

    if [ $EUID -ne $user_id ]; then
        echo "Warning: The configuration wizard cannot be run since only 'csadmin' can run the configuration wizard. Login as csadmin."
    fi
}