#!/bin/sh
# Copyright start
# Copyright (C) 2008 - 2021 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

##################
# Main/main/Main starts here
##############
#
# Add the task that you want to perform before FSR container stops. 
# Make sure this script does not take more than 1 min as grace period for
# FSR container is set as 1 min.
#

fsr_docker_utils_sh="/opt/cyops/configs/scripts/docker/utils.sh"
source $fsr_docker_utils_sh

#
# Below export is required as rabbitmqctl was not getting found when run this script via
# cron.
#

export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
csadm db --backup-config $fdc_dir_backup
